WebRequestDelegatingRequestContext (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
[Java] Class WebRequestDelegatingRequestContext

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.WebRequestDelegatingRequestContext

All Implemented Interfaces:
  GrailsRequestContext

    public class WebRequestDelegatingRequestContext
    extends java.lang.Object

Delegates calls to a passed GrailsWebRequest instance.

Authors:
  Graeme Rocher

Since:
  0.6

Constructor Summary
`WebRequestDelegatingRequestContext()`

Method Summary
`java.lang.String` | `getActionName()`
`org.springframework.context.ApplicationContext` | `getApplicationContext()`
`java.lang.String` | `getControllerName()`
`java.io.Writer` | `getOut()`
`java.util.Map` | `getParams()`
`javax.servlet.http.HttpServletRequest` | `getRequest()`
`java.lang.String` | `getRequestURI()`
`javax.servlet.http.HttpServletResponse` | `getResponse()`
`javax.servlet.ServletContext` | `getServletContext()`
`javax.servlet.http.HttpSession` | `getSession()`
`GrailsWebRequest` | `getWebRequest()` Retrieves the webRequest object.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### WebRequestDelegatingRequestContext

    public WebRequestDelegatingRequestContext()

Method Detail

### getActionName

    public java.lang.String getActionName()

### getApplicationContext

    public org.springframework.context.ApplicationContext getApplicationContext()

### getControllerName

    public java.lang.String getControllerName()

### getOut

    public java.io.Writer getOut()

### getParams

    @java.lang.SuppressWarnings("rawtypes")
    public java.util.Map getParams()

### getRequest

    public javax.servlet.http.HttpServletRequest getRequest()

### getRequestURI

    public java.lang.String getRequestURI()

### getResponse

    public javax.servlet.http.HttpServletResponse getResponse()

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### getSession

    public javax.servlet.http.HttpSession getSession()

### getWebRequest

    public GrailsWebRequest getWebRequest()

  Retrieves the webRequest object.
  Returns:
    The webrequest object

Groovy Documentation